<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="faxreceiveshow.aspx.cs" Inherits="HySoft.BaseCallCenter.Web.faxmanage.faxreceiveshow" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>查看接收传真</title>
    <link href="../scripts/ui/skins/Aqua/css/ligerui-all.css" rel="stylesheet" type="text/css" />
    <script src="../scripts/jquery/jquery-1.8.3.min.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/ligerui.min.js" type="text/javascript"></script>
    <link href="css/global.css" rel="stylesheet" type="text/css" />

    <style type="text/css">
        body
        {
            font-size: 12px;
        }
        .boldhead
        {
            font-weight: bold;
            font-size: 24px;
            text-align: center;
            padding: 20px;
        }
        .pichead
        {
            overflow: auto;
            height: 100px;
            width: 96%;
            font-size: 14px;
            font-weight: bold;
            margin: auto auto auto auto;
            border: 2px solid #0066CC;
            background: #FFFFFF;
            padding-top: 10px;
            padding-bottom: 10px;
        }
        .pichead li
        {
            float: left;
            margin: 5px;
            width: 595px;
        }
        .picview
        {
            width: 96%;
            margin: auto auto auto auto;
            text-align: center;
            height: 300px;
            overflow: hidden;
        }
        .picview img
        {
            width: 595px;
            cursor: move;
            margin: 0px;
            z-index: 1;
            border: 0px;
            height: auto;
        }
        #contral
        {
            position: absolute;
            z-index: 10;
            left: 15px;
            top: 240px;
        }
        #contral img
        {
            width: auto;
            margin: auto;
            cursor: auto;
            width: 20px;
            border: 0px;
        }
        #contral ul
        {
            width: 88px;
        }
        #contral li
        {
            width: 26px;
            height: 26px;
            float: left;
            list-style: none;
        }
        .txtlable
        {
            font-size: 12px;
            width: 100%;
            border-bottom: #7b9ebd 1px solid;
            height: 18px;
            border-left: 0px;
            border-right: 0px;
            border-top: 0px;
        }
    </style>
    <script type="text/javascript">
        function NextPage() {
            try {
                var n = document.getElementById("txtnowpage").value;
                var path = document.getElementById("txtpath").value;
                var page = parseInt(n) + 1;
                var all = document.getElementById("spanallcount").innerHTML;
                if (page > parseInt(all)) {
                }
                else {
                    if ((page + 1) > parseInt(all)) {
                        document.getElementById("span2").disabled = true;
                        document.getElementById("span4").disabled = true;
                    }
                    else {
                        document.getElementById("span2").disabled = false;
                        document.getElementById("span4").disabled = false;
                    }
                    if ((page - 1) < 1) {
                        document.getElementById("span1").disabled = true;
                        document.getElementById("span3").disabled = true;
                    }
                    else {
                        document.getElementById("span1").disabled = false;
                        document.getElementById("span3").disabled = false;
                    }
                    document.getElementById("txtnowpage").value = page;
                    document.getElementById("txtnowpage1").value = page;
                    page = page - 1;
                    document.getElementById("viewArea").src = "faxtoimage.aspx?path=" + path + "&page=" + page;
                    pp.style.width = "595px";
                    pp.style.height = "auto";
                    vv.scrollTop = 0;
                    vv.scrollLeft = 0;
                }
            }
            catch (e) { alert(e.message); }

        }
        function LastPage() {
            try {
                var n = document.getElementById("txtnowpage").value;
                var path = document.getElementById("txtpath").value;
                var page = parseInt(n) - 1;
                var all = document.getElementById("spanallcount").innerHTML;
                if (page < 1) {
                }
                else {
                    if ((page + 1) > parseInt(all)) {
                        document.getElementById("span2").disabled = true;
                        document.getElementById("span4").disabled = true;
                    }
                    else {
                        document.getElementById("span2").disabled = false;
                        document.getElementById("span4").disabled = false;
                    }
                    if ((page - 1) < 1) {
                        document.getElementById("span1").disabled = true;
                        document.getElementById("span3").disabled = true;
                    }
                    else {
                        document.getElementById("span1").disabled = false;
                        document.getElementById("span3").disabled = false;
                    }
                    document.getElementById("txtnowpage").value = page;
                    document.getElementById("txtnowpage1").value = page;
                    page = page - 1;
                    document.getElementById("viewArea").src = "faxtoimage.aspx?path=" + path + "&page=" + page;
                    pp.style.width = "595px";
                    pp.style.height = "auto";
                    vv.scrollTop = 0;
                    vv.scrollLeft = 0;
                }
            }
            catch (e) {
                alert(e.message);
            }
        }

        function PgeDown() {
            var path = document.getElementById("txtpath").value;
            if (path != null && path != "") {
                window.open("faxdown.aspx?path=" + escape(path));
            }
        }
        
    </script>
</head>
<body style="margin-top: 0px;">
    <form id="form2" runat="server">
    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
        <tr>
            <td valign="top" style="padding: 10px;" height="100%">
                <table width="100%" border="0" cellspacing="3" cellpadding="0" height="100%">
                    <tbody>
                        <tr>
                            <td height="30">
                                <span style="color: #ff0000; font-family: Wingdings;">v</span>接收号码：
                            </td>
                            <td>
                                <input type="text" id="txtPhone" class="txtlable" runat="server" style="width: 150px;" />
                            </td>
                            <td height="30">
                                接收时间：
                            </td>
                            <td>
                                <input type="text" id="txtRecvTime" class="txtlable" runat="server" style="width: 150px;" />
                            </td>
                        </tr>
                        <tr>
                            <td height="30">
                                客户名称：
                            </td>
                            <td colspan="5">
                                <input type="text" id="txtName" class="txtlable" runat="server" />
                            </td>
                        </tr>
                        <tr>
                            <td height="30">
                                <span style="color: #ff0000; font-family: Wingdings;">v</span>传真备注：
                            </td>
                            <td colspan="5">
                                <input type="text" id="txtContents" class="txtlable" runat="server" />
                            </td>
                        </tr>
                        <tr>
                            <td height="100%" colspan="6" style="width: 100%;">
                                <input id="txtpath" value="" runat="server" style="display: none;" />
                                <div style="padding: 3px 10px;">
                                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%" style="border: 1px solid #a8c7e4;">
                                        <tr style="height: 30px;">
                                            <td>
                                                <div style="width: auto; height: auto; padding: 1px; border: 1px solid #a8c7e4;">
                                                    <div style="width: 100%; height: 25px; background: #d6e5f3; padding-top: 5px;">
                                                        <div style="float: left; margin-left: 25px;">
                                                            <asp:Button ID="Button1" runat="server" Text="另存为..." CssClass="btn" OnClientClick="PgeDown();" />
                                                        </div>
                                                        <div style="width: auto; float: right; margin-right: 25px;">
                                                            <span style="margin-right: 15px; cursor: hand;" id="span1" runat="server" disabled
                                                                onclick="LastPage();">上一页</span><input id="txtnowpage" runat="server" name="" type="text"
                                                                    readonly style="width: 50px; height: 15px; margin: 0px; padding: 0px; line-height: 15px;
                                                                    text-align: center" value="0" />/<span id="spanallcount" runat="server">0</span><span
                                                                        style="margin-left: 15px; cursor: hand;" id="span2" runat="server" onclick="NextPage();">下一页</span></div>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr style="height: 350px;">
                                            <td valign="top" style="text-align: center;">
                                                <div style="width: 595px; height: 100%; text-align: center; overflow: auto;">
                                                    <div id="picview" class="picview" style="width: 595px; height: 400px">
                                                        <div id="contral" style="left: 5px; width: 1px; top: 200px; height: 250px;">
                                                            <ul>
                                                                <li></li>
                                                                <li>
                                                                    <img src="images/rotation.png" id="rotateimg" style="cursor: hand;" onclick="rotate()"
                                                                        title="旋转"></li>
                                                                <li></li>
                                                                <li></li>
                                                                <li>
                                                                    <img src="images/top.png" style="cursor: hand;" onclick="clickMove('up')" title="向上平移"></li>
                                                                <li></li>
                                                                <li>
                                                                    <img src="images/left.png" style="cursor: hand;" onclick="clickMove('left')" title="向左平移"></li>
                                                                <li>
                                                                    <img src="images/pre.png" style="cursor: hand;" onclick="realsize();" title="真实大小"></li>
                                                                <li>
                                                                    <img src="images/right.png" style="cursor: hand;" onclick="clickMove('right')" title="向右平移"></li>
                                                                <li></li>
                                                                <li>
                                                                    <img src="images/botom.png" style="cursor: hand;" onclick="clickMove('down')" title="向下移动"></li>
                                                                <li></li>
                                                                <li></li>
                                                                <li>
                                                                    <img src="images/add.png" style="cursor: hand;" onclick="bigit();" title="放大"></li>
                                                                <li></li>
                                                                <li></li>
                                                                <li>
                                                                    <img src="images/jian.png" style="cursor: hand;" onclick="smallit();" title="缩小"></li>
                                                                <li></li>
                                                            </ul>
                                                        </div>
                                                        <img src="" alt="传真信息" name="viewArea" id="viewArea" runat="server" /><!--endprint-->
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr style="height: 30px;">
                                            <td>
                                                <div style="width: auto; height: auto; padding: 1px; border: 1px solid #a8c7e4;">
                                                    <div style="width: 100%; height: 25px; background: #d6e5f3; padding-top: 5px;">
                                                        <div style="float: left; margin-left: 25px;">
                                                            <asp:Button ID="Button2" runat="server" Text="另存为..." CssClass="btn" OnClientClick="PgeDown();" />
                                                        </div>
                                                        <div style="width: auto; float: right; margin-right: 25px;">
                                                            <span style="margin-right: 15px; cursor: hand;" id="span3" runat="server" disabled
                                                                onclick="LastPage();">上一页</span><input id="txtnowpage1" runat="server" name="" type="text"
                                                                    readonly style="width: 50px; height: 15px; margin: 0px; padding: 0px; line-height: 15px;
                                                                    text-align: center" value="0" />/<span id="spanallcount1" runat="server">0</span><span
                                                                        style="margin-left: 15px; cursor: hand;" id="span4" runat="server" onclick="NextPage();">下一页</span></div>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr>
    </table>
    </form>
</body>
</html>
<script language="javascript">
    var rate = 0.2;
    var rimg = document.getElementById("rotateimg");
    var pp = document.getElementById("viewArea");
    var vv = document.getElementById("picview");

    var ie = document.all;
    var nn6 = document.getElementById && !document.all;
    var isdrag = false;
    var y, x;
    var st, sl;
    var si = 0;

    function moveMouse(e) {
        try {
            if (isdrag) {
                var mouseX = nn6 ? e.clientX : event.clientX;
                var mouseY = nn6 ? e.clientY : event.clientY;

                vv.scrollTop = st + (y - mouseY);
                vv.scrollLeft =

sl + (x - mouseX);
                //document.getElementById('mouseData').innerHTML = "x="+x+" y="+y+" x-mouseX="+(x-mouseX)+" y-mouseY="+(y-mouseY);
                return false;
            }
        } catch (e) {
            alert(e.message);
        }
    }
    function initDrag(e) {
        try {

            var oDragHandle = nn6 ? e.target : event.srcElement;
            isdrag = true;
            x = nn6 ? e.clientX : event.clientX;
            y = nn6 ? e.clientY : event.clientY;

            st = vv.scrollTop;
            sl = vv.scrollLeft;
            document.onmousemove = moveMouse;
            return false;
        }
        catch (e) {
            alert(e.message);
        }
    }
    pp.onmousedown = initDrag;
    pp.onmouseup = new Function("isdrag=false");

    function bigit() {
        try {
            si = 0;
            pp.style.height = pp.height * (1 + rate) + "px";
            pp.style.width = pp.width * (1 + rate) + "px";
        }
        catch (e) {
            alert(e.message);
        }
    }
    function smallit() {
        try {
            si = 0;
            pp.style.height = pp.height * (1 - rate) + "px";
            pp.style.width = pp.width * (1 - rate) + "px";
        }
        catch (e) {
            alert(e.message);
        }
    }

    function realsize() {
        try {
            var newImg = new Image();
            newImg.src = pp.src;
            if (si == 0) {
                si = 1;
                pp.style.height = newImg.height + "px";
                pp.style.width = newImg.width + "px";
            }
            else {
                si = 0;
                pp.style.width = "595px";
                pp.style.height = "auto";
                vv.scrollTop = 0;
                vv.scrollLeft = 0;
            }
        }
        catch (e) {
            alert(e.message);
        }
    }

    function clickMove(s) {
        try {
            if (s == "up") {
                vv.scrollTop = vv.scrollTop - 100;
            } else if (s == "down") {
                vv.scrollTop = vv.scrollTop + 100;
            } else if (s == "left") {
                vv.scrollLeft = vv.scrollLeft - 100;
            } else if (s == "right") {
                vv.scrollLeft = vv.scrollLeft + 100;
            }
        }
        catch (e) {
            alert(e.message);
        }
    }
    var rt = 1;
    function rotate() {
        try {
            //rotation:  1  旋转90度  ；2  旋转180度    ；3  旋转270度
            pp.style.filter = 'progid:DXImageTransform.Microsoft.BasicImage(rotation=' + rt + ')';
            rimg.style.filter = 'progid:DXImageTransform.Microsoft.BasicImage(rotation=' + rt + ')';
            if (rt > 3) {
                rt = 1;
            }
            else {
                rt++;
            }
        }
        catch (e) {
            alert(e.message);
        }
    }
    function changeImage(path) {
        pp.src = path;
        pp.style.width = "595px";
        vv.scrollTop = 0;
        vv.scrollLeft = 0;
    }

</script>
